File: changelog

package info (click to toggle)
libconfig-ini-perl 1:0.025-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 220 kB
  • ctags: 35
  • sloc: perl: 651; makefile: 2
file content (152 lines) | stat: -rw-r--r-- 5,462 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
libconfig-ini-perl (1:0.025-1) unstable; urgency=medium

  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Import upstream version 0.025
  * Update versioned (Build-)Depends(-Indep) for libmixin-linewise-perl.
    Update versioned Build-Depends-Indep and Depends for
    libmixin-linewise-perl to (>= 0.105).
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.6
  * Drop alternative Build-Depends-Indep for CPAN::Meta.
    Drop alternative Build-Depends-Indep on perl (>= 5.13.10) or
    libcpan-meta-perl since the perl version is already satisfied in wheezy.
  * Drop alternative Build-Depends-Indep for Test::More.
    Drop alternative Build-Depends-Indep on perl (>= 5.13.4) or
    libtest-simple-perl (>= 0.96) since perl version is already satisfied in
    wheezy.
  * Wrap and sort fields in debian/control
  * Mark package as autopkgtest'able

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 30 May 2015 23:36:12 +0200

libconfig-ini-perl (1:0.024-1) unstable; urgency=low

  * Imported Upstream version 0.024
  * Add build-dependency for CPAN::Meta.
    Add Build-Depends-Indep on perl (>= 5.13.10) | libcpan-meta-perl.
  * Add build-dependency for CPAN::Meta::Requirements.
    Add Build-Depends-Indep on alternative dependency
    perl (>= 5.17.1) | libcpan-meta-requirements-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Apr 2014 17:32:27 +0200

libconfig-ini-perl (1:0.023-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Drop build dependency on libcapture-tiny-perl.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.023
  * Update (build-)dependency for libmixin-linewise-perl.
    Make unversioned Build-Depends-Indep and Depends on
    libmixin-linewise-perl versioned on (>= 0.100).
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Mar 2014 22:33:02 +0100

libconfig-ini-perl (1:0.022-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.
  * Drop (build) dependency on libio-string-perl.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Feb 2014 21:28:03 +0100

libconfig-ini-perl (1:0.021-2) unstable; urgency=high

  * Add missing dependency on libio-string-perl (Closes: #735019)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 11 Jan 2014 22:30:58 +0000

libconfig-ini-perl (1:0.021-1) unstable; urgency=low

  * Imported Upstream version 0.021
  * Add Build-Depends-Indep on libcapture-tiny-perl for testsuite

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Oct 2013 23:09:14 +0200

libconfig-ini-perl (1:0.020-1) unstable; urgency=low

  * Imported Upstream version 0.020
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    Policy 3.9.3.
    Update copyright years for debian/* packaging files.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Jul 2013 23:06:24 +0200

libconfig-ini-perl (1:0.019-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.019
  * Update debian/copyright file.
    Update copyright years for debian/* packaging stanza.
  * Add Perl to short description

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Dec 2011 08:35:49 +0100

libconfig-ini-perl (1:0.018-1) unstable; urgency=low

  * New upstream release

  [ Jonathan Yu ]
  * Updated copyright information
  * Add myself to Uploaders and Copyright

  [ Salvatore Bonaccorso ]
  * Email change: Salvatore Bonaccorso -> carnil@debian.org

  [ Fabrizio Regalli ] 
  * Switch d/compat to 8.
  * Build-Depends: switch to debhelper (>= 8).
  * Bump to 3.9.2 Standard-Version.
  * Add myself to Uploaders and Copyright.

  [ gregor herrmann ]
  * Build-depend on Test::More 0.96.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 16 Jun 2011 20:58:43 +0200

libconfig-ini-perl (1:0.016-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright file: refer to Debian systems.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 05 Sep 2010 20:48:21 +0200

libconfig-ini-perl (1:0.015-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders.
  * debian/copyright:
    - Refresh to revision 135 of DEP5 format-specification for machine
      readable copyright file.
    - Update copyright years.
    - Explicitly refer to GPL-1 license text in common-licenses.
  * Convert to '3.0 (quilt)' source package format.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 23 Aug 2010 08:26:33 +0200

libconfig-ini-perl (1:0.014-1) unstable; urgency=low

  * Initial release (cf. #562102).
  * Use an epoch because there was a different libconfig-ini-perl with a
    higher version in Debian until 2004.

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Dec 2009 18:21:58 +0100